Skip to main content
PUT
/
networks
/
labels
Update Label
curl --request PUT \
  --url https://api.eflow.team/v1/networks/labels \
  --header 'Content-Type: application/json' \
  --header 'X-Eflow-Api-Key: <api-key>' \
  --data '
{
  "label": "top-performer-v2",
  "advertiser_ids": [
    13,
    26
  ],
  "affiliate_ids": [
    28,
    35
  ],
  "affiliate_tier_ids": [
    3,
    4
  ],
  "campaign_ids": [],
  "offer_group_ids": [
    2
  ],
  "offer_ids": [
    1,
    8,
    11
  ]
}
'
{
  "result": true
}
Update an existing label. Pass the current label value as the old_label query parameter and provide the new label value and optional ID arrays in the request body.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Query Parameters

old_label
string
required

The previous label value to update.

Body

application/json
label
string
required

The label you want to add.

advertiser_ids
integer[]

Which advertisers will have the label.

affiliate_ids
integer[]

Which affiliates will have the label.

campaign_ids
integer[]

Which campaigns will have the label.

offer_ids
integer[]

Which offers will have the label.

offer_group_ids
integer[]

Which offer groups will have the label.

affiliate_tier_ids
integer[]

Which affiliate tiers will have the label.

Response

200 - application/json
result
boolean

Whether the operation was successful.